#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - pre-installation file for nmap package
#
# Copyright (c) 2017-2018  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation   : 2017-11-27  jed
# Last Update: $Id: preinstall.sh 52704 2018-03-22 13:33:46Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# include eislib etc.
. /var/install/include/eislib

module_name='nmap'
package_filelist=/etc/filelist.d/${module_name}-files.txt

#mecho --info "running preinstall.sh ..."

if [ -f ${package_filelist} ]
then
    grep -q "^f " ${package_filelist}

    if [ $? -ne 0 ]
    then
        # old package version found without dirctory information (<= v1.16.0)
        # add missing directory entries to list before deinstalling the package
        {
            echo 'f 0755 root root nmap usr/share/nmap/scripts'
            echo 'f 0755 root root nmap usr/share/nmap/nselib/data/psexec'
            echo 'f 0755 root root nmap usr/share/nmap/nselib/data/jdwp-class'
            echo 'f 0755 root root nmap usr/share/nmap/nselib/data'
            echo 'f 0755 root root nmap usr/share/nmap/nselib'
            echo 'f 0755 root root nmap usr/share/nmap'
            echo 'f 0755 root root nmap usr/share/doc/nmap'
        } >> ${package_filelist}
    fi

    # deinstall old software
    /usr/bin/eisman uninstall --update --auto --quiet  ${module_name}
fi

exit 0
